%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-ceph
Version:        2.6.0
Release:        2%{?dist}
Summary:        Community Developed Ceph Module
License:        ASL 2.0

URL:            https://launchpad.net/puppet-ceph

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz
#patches_ignore=DROP-IN-RPM
#patches_base=2.6.0
Patch0001: 0001-Update-UPPER_CONSTRAINTS_FILE-for-stable-mimic.patch

BuildArch:      noarch

#Requires:       puppet-apt
Requires:       puppet-apache
Requires:       puppet-concat
Requires:       puppet-inifile
Requires:       puppet-stdlib
Requires:       puppet-openstacklib
Requires:       puppet-keystone
Requires:       puppet >= 2.7.0

%description
Community Developed Ceph Module

%prep
%setup -q -n openstack-ceph-%{upstream_version}

%patch0001 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/ceph/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/ceph/



%files
%{_datadir}/openstack-puppet/modules/ceph/


%changelog
* Mon May 27 2019 Thierry Vignaud <tvignaud@redhat.com> 2.6.0-2
- Update UPPER_CONSTRAINTS_FILE for stable/mimic

* Thu Mar 28 2019 Steve Linabery <slinaber@redhat.com> 2.5.2-2
- Change Keystone RGW default role from Member to member
- Deprecated Keystone v2.0 and PKI tokens in Keystone RGW
- Deprecate keystone v2.0 functionality
- Use validate_legacy
- Remove Firefly base repo hacking
- Fix the misspelling of "required"

* Mon Feb 18 2019 Steve Linabery <slinaber@redhat.com> 2.5.2-1
- Update to 2.5.2
- Modify puppet version 4 to 5
- Add support for encrypted OSDs
- Do not check for ldap secret with Fedora and RedHat > 7
- Do not enable Ceph el7 repos for Fedora
- Fix minor typo in ceph-disk params.
- Allow setting explicit osd type as well as wal and db locations.
- Supply hrefs for table of contents according to context
- Change openstack-dev to openstack-discuss
- Remove ceph::rgw::apache_fastcgi
- Fix stdlib version in metadata
- Convert spec testing to use rspec-puppet-facts
- Update min tox version to 2.0
- Allow setting pool application tag as supported from the Luminous release.
- Revert "Adjust whitespace in metadata.json"


